## org.apache.mahout.classifier.sgd
Class TrainLogistic

    java.lang.Object
      org.apache.mahout.classifier.sgd.TrainLogistic

    public final class TrainLogistic

extends Object

Train a logistic regression for the examples from Chapter 13 of Mahout in Action

Method Summary
`static OnlineLogisticRegression` `getModel()`
`static LogisticModelParameters` `getParameters()`
`static void` `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`

### getModel

    public static OnlineLogisticRegression getModel()

### getParameters

    public static LogisticModelParameters getParameters()

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.